# Wax API . sessions

## Instance Methods

Creates a new session. New sessions are initialized with two pre-defined items. Just like wax.sessions.newsession, but matches other implementations of Wax in Endpoints.

Creates a new session. New sessions are initialized with two pre-defined items.

Removes a session. Clients that create sessions with long or infinite durations should call this method to clean up after themselves.

### Method Details

`create(body)`

    Creates a new session. New sessions are initialized with two pre-defined items. Just like wax.sessions.newsession, but matches other implementations of Wax in Endpoints.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "sessionName": "A String", # Usually a short, human-readable name that describes a session. This name will appear as part of the session ID, which is generated by the API when the session is created.
        "durationInMillis": "A String", # Session duration in milliseconds.
      }

    Returns:
      An object of the form:

        {
        "newSessionId": "A String", # The session ID.
        "kind": "wax#waxNewSession", # The kind of object this is.
      }

`newSession(body, sessionName=None)`

    Creates a new session. New sessions are initialized with two pre-defined items.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "newSessionParams": { # Parameters used when requesting a new session.
          "kind": "wax#waxNewSessionParams", # The kind of object this is.
          "durationInMillis": "A String", # Session duration in milliseconds.
        },
        "sessionName": "A String", # Usually a short, human-readable name that describes a session. This name will appear as part of the session ID, which is generated by the API when the session is created.
      }

      sessionName: string, Human-readable name that describes a session. This name will be part of the session ID.

    Returns:
      An object of the form:

        {
        "newSessionId": "A String", # The session ID.
        "kind": "wax#waxNewSession", # The kind of object this is.
      }

`removeSession(body, sessionId=None)`

    Removes a session. Clients that create sessions with long or infinite durations should call this method to clean up after themselves.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "sessionId": "A String", # The ID corresponding to the session to be removed.
      }

      sessionId: string, The session ID.

    Returns:
      An object of the form:

        {
        "kind": "wax#waxRemoveSession", # The kind of object this is.
        "removedSessionId": "A String", # The ID corresponding to the session that was removed.
      }